# $Id: pound.spec 6056 2007-12-21 12:02:46Z dries $
# Authority: dries
# Upstream: <roseg$apsis,ch>

Summary: Reverse HTTP proxy, load balancer and SSL wrapper
Name: pound
Version: 2.7
Release: 2.el4
License: GPL
Group: Applications/Internet
URL: http://www.apsis.ch/pound/index.html

Packager: René Vermare <rene@vermare.nl>
Vendor: Dr. Linux, http://www.vermare.nl/

Source: http://www.apsis.ch/pound/Pound-%{version}.tgz
Source1: pound.init
Source2: pound.cfg

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel, pkgconfig

%description
Pound is a reverse HTTP proxy, load balancer, and SSL wrapper. It proxies 
client HTTPS requests to HTTP backend servers, distributes the requests 
among several servers while keeping sessions, supports HTTP/1.1 requests 
even if the backend server(s) are HTTP/1.0, and sanitizes requests.

%prep
%setup -n Pound-%{version}
%{__perl} -pi -e '
        s|-o \@I_OWNER\@ -g \@I_GRP\@||g;
        s| -s | |g;
    ' Makefile*


%build
### Add correct CFLAGS for EL3 and RH9
%{expand: %%define optflags %{optflags} %(pkg-config --cflags openssl)}
%configure \
    --disable-super \
    --with-ssl=/usr/include/openssl
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_sbindir} %{buildroot}%{_mandir}
%{__strip} --strip-unneeded pound
%{__strip} --strip-unneeded poundctl
%{__make} install DESTDIR=%{buildroot}
%{__install} -Dp -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/pound
%{__install} -Dp -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/pound.cfg

%post -n pound
/sbin/chkconfig --add pound

###%preun -n pound
###/sbin/chkconfig --del pound

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGELOG FAQ GPL.txt README
%doc %{_mandir}/man8/pound.8*
%doc %{_mandir}/man8/poundctl.8*
%{_sbindir}/pound
%{_sbindir}/poundctl
%config %{_initrddir}/pound
%config %{_sysconfdir}/pound.cfg

%changelog
* Fri Jul  7 2017 René Vermare <rene@vermare.nl> - 2.7-2
- Build against openssl 1.0.1e

* Mon Jan 26 2015 René Vermare <rene@vermare.nl> - 2.7-1
- Build version 2.7 for rhel4 with openssl-0.9.8e

* Wed Oct 29 2014 René Vermare <rene@vermare.nl> - 2.6-4
- Add TLS_FALLBACK_SCSV (pcidss) patch

* Mon Oct 27 2014 René Vermare <rene@vermare.nl> - 2.6-2
- Build against openssl version 0.9.8e

* Tue Jan 3 2012 René Vermare <rene@vermare.nl> - 2.6-1
- Updated to release 2.6 (with ssl support)

* Sat Feb 26 2011 René Vermare <rene@vermare.nl> - 2.5-2
- Rebuild 2.5 with SSL-support

* Mon Nov 29 2010 René Vermare <rene@vermare.nl> - 2.5-1
- Updated to release 2.5

* Tue Nov 10 2009 René Vermare <rene@vermare.nl> - 2.4.5-1
- Update to release 2.4.5

* Mon Feb 11 2008 Dag Wieers <dag@wieers.com> - 2.4-1 - 6056+/dries
- Updated to release 2.4.

* Mon Apr 16 2007 Dries Verachtert <dries@ulyssis.org> - 2.3-1
- Updated to release 2.3.

* Mon Dec 18 2006 Dries Verachtert <dries@ulyssis.org> - 2.2-1
- Updated to release 2.2.

* Mon Aug 07 2006 Dries Verachtert <dries@ulyssis.org> - 2.1-1
- Updated to release 2.1.

* Wed Apr 19 2006 Dries Verachtert <dries@ulyssis.org> - 2.0-1
- Initial package.
